import { writable } from "svelte/store";
export const iconStore = writable({});
export const addIcons = (...icons) => {
    iconStore.update((definitions) => {
        for (const icon of icons) {
            if (!(icon.prefix in definitions)) {
                definitions[icon.prefix] = {};
            }
            definitions[icon.prefix][icon.iconName] = icon;
            for (const alias of icon.icon[2]) {
                if (typeof alias === "string") {
                    definitions[icon.prefix][alias] = icon;
                }
            }
        }
        return definitions;
    });
};
export const addIconPacks = (...packs) => {
    for (const pack of packs) {
        const icons = Object.keys(pack).map((key) => pack[key]);
        addIcons(...icons);
    }
};
export const getIconDefinition = (definitions, prefix, name) => {
    if (prefix in definitions && name in definitions[prefix]) {
        return definitions[prefix][name];
    }
    return null;
};
